MONGOC_STREAM_GRIDFS_NEW(3)

NAME
mongoc_stream_gridfs_new() - This function shall create a new mongoc_gridfs_file_t. This function does not transfer ownership of file. Therefore, file must remain valid for the lifetime of this stream.

SYNOPSIS

mongoc_stream_t *
mongoc_stream_gridfs_new (mongoc_gridfs_file_t *file);

PARAMETERS

file
    A mongoc_gridfs_file_t \&.

This function shall create a new mongoc_gridfs_file_t \&. This function does not transfer ownership of file \&. Therefore, file must remain valid for the lifetime of this stream.

RETURNS

A newly allocated mongoc_stream_gridfs_t if successful, otherwise NULL \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.